PETSc version 3.15.5
Fix/Edit manual page

# PetscSortReal

Sorts an array of doubles in place in increasing order.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSortReal(PetscInt n,PetscReal v[])

Not Collective

### Input Parameters

| n | - number of values
| v | - array of doubles

### Notes

This function serves as an alternative to PetscRealSortSemiOrdered(), and may perform faster especially if the array is completely random. There are exceptions to this and so it is __highly__ recomended that the user benchmark their code to see which routine is fastest.

### See Also

PetscRealSortSemiOrdered(), PetscSortInt(), PetscSortRealWithPermutation(), PetscSortRealWithArrayInt()

### Level

intermediate

### Location

src/sys/utils/sortd.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages